LeedReader v1.0 est prêt pour les tests

Bonjour,

Après quelques heures de développement (quelques dizaines), tout en essayant d’écouter au mieux les besoins, veuillez trouver la nouvelle révision de LeedReader, la v1.0.

Les nouveautés

Cette nouvelle révision apporte une nouvelle interface permettant de faciliter la navigation.

Lors de l’ouverture de l’application, les flux non lus (tous les répertoires confondus) sont affichés.

Il est ensuite possible de naviguer parmi les répertoires et les différents flux à l’aide d’un menu qui sort de la gauche (pour l’ouvrir, il suffit de presser le logo de l’application ou bien de faire un appui-glisser depuis la gauche de l’écran vers son centre).

Pour accéder au mode OffLine, il faut maintenant passer par le menu « Paramètres ».

Il est possible de partager les articles. On notera la possibilité d’intégrer Shaarli dans cette fonctionnalité.

Un nouveau logo (merci @misterair) a été intégré à l’application.

Compatibilités

Merci à @grimlokason et @misterair pour leur aide extrêmement précieuse sur le sujet (l’application ne fonctionnait pas avec leur config, ils se sont bien tirés les cheveux…). J’espère sincèrement que cette nouvelle version va mieux fonctionner pour vous !

Leed-API

Pour accéder à ces nouvelles fonctionnalités, Leed-API a été mis à jour. Il faudra installer la révision 0.5 qui est disponible sur la page de téléchargement.

Suite à des problèmes de compatibilité avec certain serveur (version PHP), Leed-API est maintenant compatible avec PHP 5.3 et non plus avec PHP 5.4.

Un gestionnaire d’erreur PHP a été ajouté. Cette nouvelle fonctionnalité permet (je l’espère en tout cas), d’éviter l’absence de réponse vers l’application, ce qui la fait tourner en rond. De plus, une limitation du temps de connexion au serveur et du temps de réponse du serveur a été ajoutée.

Android

L’application a été développée avec le paramètre minSdkVersion="14". L’application LeedReader est alors compatible à partir d’Android 4.0 (Ice Cream Sandwich).

Et pour les autres ?

La révision de LeedReader v0.6 va revenir et être maintenu (je ne sais pas combien de temps, on verra en fonction du nombre d’utilisateurs) pour les personnes n’ayant pas une version d’Android supérieure à la v4.0. Cette révision de LeedReader permet d’être utilisée à partir d’Android 2.2 (Froyo).

LeedReader v0.6 est associé à Leed-API v0.2 qui est compatible PHP 5.1.

Attention, cette association n’est pas encore pleinement fonctionnelle. Un article sera réaliser afin de vous prévenir, ne vous en faite pas.

Conclusion

Si vous rencontrez le moindre problème, n’hésitez pas à les remonter sur github ou à me contacter directement par mail, toutes les informations sont sur github.

Bon tests et merci pour vos retours !!!